commit ea5b7edd6dbc01f152e91e23bf80070355bfe0dc
Author: jklowden <jklowden>
Date:   Thu Jan 10 20:58:42 2008 +0000

    documentation updates

diff --git b/ChangeLog a/ChangeLog
index fbe59e4..d054e6f 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,32 +1,49 @@
-Thu Jan 10 15:55:32 EST 2008	JK Lowden <jklowden@freetds.org>
-	* INSTALL.CVS NEWS README TODO ChangeLog-0.82
-	* ChangeLog doc/userguide.sgml documentation updates
-
-Thu Jan 10 17:04:15 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/odbc/unittests/.cvsignore src/odbc/unittests/Makefile.am:
-	* src/odbc/unittests/cancel.c(added):
-	- add test for SQLCancel
-
-Thu Jan 10 16:28:44 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/odbc/unittests/blob1.c src/odbc/unittests/cursor3.c:
-	* src/odbc/unittests/cursor4.c src/odbc/unittests/cursor5.c:
-	- use temporary tables
-
-Thu Jan 10 16:25:19 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* doc/README.releasing misc/freetds_autobuild: updates
-
-Thu Jan 10 14:10:28 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+Thu Jan 10 14:12:32 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c src/odbc/unittests/.cvsignore:
 	* src/odbc/unittests/Makefile.am src/odbc/unittests/blob1.c(added):
 	- fix problem with SQLGetData and blobs
 
-Thu Jan 10 09:46:41 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+Thu Jan 10 09:51:23 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* TODO src/odbc/odbc.c src/odbc/unittests/.cvsignore:
 	* src/odbc/unittests/Makefile.am:
 	- small fix for hidden fields (ignore them entirely)
 
-Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
-	* ChangeLog  truncated because of release
-	* ChangeLog-0.82 added because of release
-	
-$Id: ChangeLog,v 1.2454.2.4 2008/01/10 20:58:42 jklowden Exp $
+Wed Jan  9  7:50:39 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac: preparing 0.82
+
+Tue Jan  8 10:31:43 EST 2008	JK Lowden <jklowden@freetds.org>
+	* doc/Makefile.am added freetds.conf.5
+	* src/dblib/bcp.c applied BCPKEEPIDENTIY patch from [email]
+
+Tue Jan  8 14:28:09 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* NEWS doc/README.releasing doc/userguide.sgml:
+	- updates for new release
+
+Tue Jan  8 10:33:26 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/genparams.c: relax for no-dm
+
+Mon Jan  7 19:32:20 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/sql2tds.c src/odbc/unittests/genparams.c:
+	- fix millisecond round off for TIMESTAMP
+	- improve genparams test to catch this problem
+	- make genparams works with MS ODBC
+
+Mon Jan  7 15:04:18 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tdssrv.h src/server/login.c src/server/server.c:
+	* src/server/unittest.c:
+	- small improves
+	* src/pool/user.c: style update
+
+Sun Jan  6 11:48:17 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc.c: even SQLExecDirect support parameters!
+	* src/odbc/unittests/genparams.c: improve
+
+Sat Jan  5 12:23:21 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/query.c:
+	- add parameterized flag calling sp_cursoropen if needed
+
+Wed Jan  2 00:08:45 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* configure.ac src/apps/Makefile.am:
+	- remove GNU style
+	* src/dblib/dblib.c: make it compile
+
diff --git b/INSTALL.CVS a/INSTALL.CVS
index c23f6b7..d42c3aa 100644
--- b/INSTALL.CVS
+++ a/INSTALL.CVS
@@ -16,9 +16,9 @@ connecting to the CVS server.  Then follow these steps:
 	
 	Autotool versions that work:
 	$ (autoconf --version; automake --version; libtool --version) |grep GNU
-	autoconf (GNU Autoconf) 2.60
-	automake (GNU automake) 1.9.6
-	ltmain.sh (GNU libtool) 1.5.18 (1.1220.2.245 2005/05/16 08:55:27)
+	autoconf (GNU Autoconf) 2.59
+	automake (GNU automake) 1.9.5
+	ltmain.sh (GNU libtool) 1.5.14 (1.1220.2.195 2005/02/12 12:12:33)
 	
 	The above are used to generate the distributions.  
 	You may get away with older versions, as far back as 2.53 for autoconf.
@@ -44,10 +44,10 @@ connecting to the CVS server.  Then follow these steps:
 	
 +++
 
-You are not required to rely on SourceForge's anonymous CVS server, which at
+You are not required to rely on Source Forge's anonymous CVS server, which at
 the present time (July 2004) runs up to 1 hour behind the development server. 
 You can fetch the CVS tarball (the basis for a CVS server, not a snapshot) from
-SourceForge at:
+Source Forge at:
 
 http://cvs.sourceforge.net/cvstarballs/freetds-cvsroot.tar.bz2
 
@@ -62,4 +62,4 @@ the CVS tree via rsync:
 $ rsync -av rsync://freetds.cvs.sourceforge.net/cvsroot/freetds/* .
 	
 --
-$Id: INSTALL.CVS,v 1.7.2.1 2008/01/10 20:58:43 jklowden Exp $
+$Id: INSTALL.CVS,v 1.7 2007/04/05 14:17:05 freddy77 Exp $
diff --git b/NEWS a/NEWS
index fd44001..851fbce 100644
--- b/NEWS
+++ a/NEWS
@@ -1,63 +1,33 @@
-$Id: NEWS,v 1.43.2.1 2008/01/10 20:58:43 jklowden Exp $
-
-Executive Summary of Changes in release 0.82
---------------------------------------------
-
-1.  timeout handling
-2.  encrypted connections
-3.  fisql (and odbc utilities)
-4.  autoconf improvements
-5.  23,710 lines added or deleted (101,022 total).
-6.  85 files added
-7.  21 unit tests added
-
-Details
--------
-
-db-lib
-- timeouts work! 
-- corrected dbnextrow 
-- implemented dbsetnull and dbsetinterrupt
-- improved error reporting and checking
-- fixed rpc parameter processing, now php works correctly
-
-ct-lib
-- added cs_loc_alloc, cs_loc_drop, cs_locale implementations
-
-odbc
-- cursors (mssql)
-- fixed database setting 
-- return error always if odbc returns SQL_ERROR
-- fixed SQLGetData result
-
-utilities
-- added support for NUL characters inside terminators in freebcp
-- added row termination and column termination option to tsql
-- new fisql application
-- new ODBC utilities
-
-documentation
-- significant updates to TDS protocol documentation
-- freetds.conf man page
-- added tenderfoot sample code
-
-general
-- fixed timeout handling
-- added freetds.conf option for encryption
-- added protocol version discovery
+$Id: NEWS,v 1.43 2008/01/08 13:29:40 freddy77 Exp $
+* 0.82
+- support NUL characters inside terminators in freebcp
+- cursors under ODBC (mssql)
 - NTLM2 session response
-- read table and real column name from wire
-- experimental Kerberos support using gssapi
+- lot of update to TDS protocol documentation
 - some optimizations for GCC4
 - optimized conversions avoiding some memory copy
 - minor improves to server stuff
-- improved MingW compile (even cross one)
+- add row termination and column termination option to tsql
+- improve locale stuff on ctlib
+  added cs_loc_alloc, cs_loc_drop, cs_locale implementations
+- improve MingW compile (even cross one)
+- implement dbsetnull on dblib
+- improve dblib error reporting and check
 - more verbose log for dblib and odbc
+- fix rpc parameter on dblib, now php works correctly
 - many test added
   1 test for libTDS
   1 test for ctlib
   3 tests for dblib
   13 tests for odbc
+- fix database setting on odbc
+- fix timeout stuff
+- return always an error if odbc return SQL_ERROR
+- fix SQLGetData result
+- add freetds.conf option for encryption
+- add protocol version discovery
+- read table and real column name from wire
+- experimental Kerberos support using gssapi
 
 libTDS API changes
 - tds_add_row_column_size removed
@@ -68,7 +38,7 @@ libTDS API changes
 - added TDSCURSOR->type and TDSCURSOR->concurrency for mssql support
 - added fetch_type and i_row parameters to tds_cursor_fetch
 - added tds_cursor_update and tds_cursor_setname functions
-- made tds_alloc_get_string static
+- make tds_alloc_get_string static
 - removed tds_free_cursor
 - added TDSCURSOR->ref_count
 - added tds_cursor_deallocated and tds_release_cursor to handle
@@ -78,8 +48,8 @@ libTDS API changes
   to trace pointer owner between libTDS and upper libraries
 - added TDS_COMPILETIME_SETTINGS->sysconfdir
 - changed DSTR_STRUCT structure to include dstr_size
-- changed DSTR type
-- error handler cannot return TDS_INT_EXIT
+- change DSTR type
+- error handler cannot return TDS_INT_EXIT (no more defined)
 - removed TDSSOCKET->query_timeout_func TDSSOCKET->query_timeout_param,
   TDSSOCKET->query_start_time
 - changed TDSLOGIN->host_name to client_host_name
@@ -113,6 +83,7 @@ libTDS API changes
 - added TDSSOCKET->tds9_transaction (used internally for TDS9)
 - added TDSCONNECTION->server_host_name needed for Kerberos support
 
+
 * 0.64
 - core library
  - reduced network bandwidth use on Linux and *BSD
diff --git b/README a/README
index 2de3e4c..33da879 100644
--- b/README
+++ a/README
@@ -1,11 +1,12 @@
-README for FreeTDS 0.82
-Thusday 10 January 2008
+$Id: README,v 1.11 2007/04/05 14:17:05 freddy77 Exp $
+README for FreeTDS 0.64
+Saturday 1 July 2006
 
-* to build FreeTDS read the file INSTALL or
-  the FreeTDS Users Guide (doc/userguide.tgz) and 
+* to build FreeTDS read the file INSTALL,
+* see also the FreeTDS Users Guide,
   http://www.freetds.org/userguide/
 
-FreeTDS is a free implementation of Sybase's db-lib,
+FreeTDS is a free (open source) implementation of Sybase's db-lib,
 ct-lib, and ODBC libraries. FreeTDS builds and runs on every flavor of
 unix-like systems we've heard of, as well as Win32 (with or without
 Cygwin), VMS, and Mac OS X.  Failure to build on your system is probably
@@ -26,8 +27,60 @@ TODO		The roadmap, such as it is
 
 Also, doc/api_status.txt shows which functions are implemented.  
 
-For details on what's new in this version, see NEWS.  For unbearable 
-detail, see ChangeLog-0.82.
+************************************
+** Warning regarding Sybase 12.5! **
+************************************
+
+Do Not Use TDS version 4.2 to connect to Sybase 12.5. Please!  
+
+While we don't like to put the bad news first, neither do we want you to
+hurt your server.  We know that our implementation of TDS 4.2 gives
+Sybase 12.5 a bad case of heartburn.  In short: it crashes the server.  
+
+We don't know what it is about our version of TDS 4.2 that Sybase 12.5
+doesn't like, and we'd like to figure it out eventually.  But in the
+meanwhile, until we can find the problem and fix it, please don't use
+that combination.  Unless you want to help us test it, that is.  
+
+FreeTDS 0.63 works fine with Sybase 12.5 if you use TDS version 5.0.  
+
+If you are using Sybase 12.5 and anything above is not clear to you,
+please see the User Guide.  If it is still not clear after that, please
+write to the FreeTDS mailing list.  We'd rather answer your questions
+while your server is still running.  
+
+Thank you.  We return now to your regularly scheduled README, already in
+progress. 
+
+New in this version
+===================
+
+ct-lib
+------
+
+Ct-lib now sports bcp and cursors.  The largest missing feature is now
+placeholder support compatible with Perl's DBD::Sybase.  
+
+ODBC
+----
+
+ODBC continues to be improved.  It is now compatible with OpenOffice.org, for
+example, and even works with Oracle's OTL libary.  It has better 64-bit
+support.  
+
+Applications
+------------
+
+This version includes two new applications, bsqldb and defncopy.  See their man
+pages for details.  
+
+etc.
+----
+
+Naturally, there have been other improvements as well.  This version compiles
+and runs better than its predecessors.  
+
+
 
 Documentation
 =============
@@ -86,6 +139,3 @@ Side note: Brian, as many free software authors, appreciates postcards
 from all over. So if you live someplace neat (read: not Michigan) and
 want to send one, email him (brian@bruns.org) for his current snail mail
 address.
-
-$Id: README,v 1.11.2.1 2008/01/10 20:58:43 jklowden Exp $
-
diff --git b/TODO a/TODO
index 9b7c295..6b770b4 100644
--- b/TODO
+++ a/TODO
@@ -4,11 +4,11 @@ followed by things that should work before the next release,
 followed by features that should be added/fixed/reworked (grouped by library).  
 
 Everyone is encouraged to add to the list.  Developers can do it directly; 
-anyone else can post a patch to SourceForge.  
+anyone else can post a patch to Source Forge.  
 In this way we can communicate with each
 other about the project's priorities and needs.  
 
-To Do List	$Id: TODO,v 1.165.2.1 2008/01/10 20:58:43 jklowden Exp $
+To Do List	$Id: TODO,v 1.165 2007/12/26 20:56:00 freddy77 Exp $
 ------------
 
 Bug? ML 2007-05-30 "dbsqlexec() never returns" 
@@ -30,13 +30,20 @@ Broken:
 
 Work in progress:
 
+Postponed to 0.65 version
 . log and call error handler on problems with tds_iconv_init().
 . iconv
   - support string conversions for Sybase
+  - add test for locale_charset() to configure.in.  Use it if available
+    instead of nl_langinfo, because it implies we're using GNU iconv
 . add doc/htdoc/Makefile with "publish" target to commit cvs and update
   freetds.org
 . drop txt2man from cvs, skip building man pages without it. 
 . be able to disable iconv for BCP (see Sybase documentation)
+. userguide
+  - update table of working configurations
+    server (vendor, version, platform) - client (freetds version, platform) 
+    - protocol - charsets - date
 
 For future versions (in priority order within library):
   All:
@@ -52,6 +59,7 @@ For future versions (in priority order within library):
 . Add missing constants needed for python and verify working
 . Add missing constants needed for Gnome-DB and verify working 
 . conversion from ucs2 to utf8, provide for 2+ bytes/character
+. tdsping program for testing purposes
 . Finish off the TDS dissector for ethereal
 . more solid. handle out of memory conditions (started, we must test all 
   allocation and all function that return allocated data and be able to 
@@ -73,8 +81,8 @@ For future versions (in priority order within library):
   (too complicate, see ctlib bulk, cf "bulk copy and row buffer")
 . improve cursor support on dblib and ctlib
 . support for VARIANT type (requested one time, 2003-8-1)
-. support for NT named pipe (requested long ago for mssql6.5 server, only
-  for completeness). If the reader knows a library to handle named pipes
+. support for NT named pipe (requested many time ago for mssql6.5 server, only
+  for completeness). If anybody knows a library to handle named pipes
   compatible with LGPL please tell us.
 . read on partial packet, do not wait entire one
 . detect if realloc/free accepts NULL pointers (in configure.in)
@@ -123,14 +131,6 @@ For future versions (in priority order within library):
 . report error just before returning SQL_ERROR from inner function?
 
 . test and fix: hidden fields (FOR BROWSE select, see flag test on tds)
- - what happen if we bind to an hidden field??
- - if we use SQLGetData??
- - if we request informations with SQLDescribeCol/SQLColAttribute(s)/
-   SQLGetDescField??
- - as you noted returning # columns hidden fields are not counted (there
-   is however a setting which is a mssql extension which threat hidden
-   columns as normal)
- (cfr "SQLNumResultCols() is wrong (+1)" Jan 8 2008)
 . test: all binding types (input and output)
 . test: descriptors work
   - ODBC 2 type returned (datetime)
diff --git b/doc/userguide.sgml a/doc/userguide.sgml
index 2a09e0f..d26bb2e 100644
--- b/doc/userguide.sgml
+++ a/doc/userguide.sgml
@@ -5,8 +5,8 @@
 ]>
 <book>
 	<bookinfo>
-		<date>$Date: 2008/01/10 20:58:43 $</date>
-		<releaseinfo>$Revision: 1.110.2.1 $</releaseinfo>
+		<date>$Date: 2008/01/08 13:29:40 $</date>
+		<releaseinfo>$Revision: 1.110 $</releaseinfo>
 		<title><productname>FreeTDS</productname> User Guide</title>
 		<subtitle>A Guide to Installing, Configuring, and Running <productname>FreeTDS</productname></subtitle>
 		<author>
@@ -26,7 +26,6 @@
 		  <year>2005</year>
 		  <year>2006</year>
 		  <year>2007</year>
-		  <year>2008</year>
 		  <holder>Brian Bruns and James K. Lowden</holder>
 		</copyright>
 		<legalnotice><para>
@@ -56,9 +55,9 @@ This guide is here for you, and we hope that you will be here for it, that other
 The version you're reading is:
 			</para> 
   			<simplelist type='vert'>
-<member>$Revision: 1.110.2.1 $</>
-<member>$Date: 2008/01/10 20:58:43 $</>
-<member>CVS control number $Id: userguide.sgml,v 1.110.2.1 2008/01/10 20:58:43 jklowden Exp $.</>
+<member>$Revision: 1.110 $</>
+<member>$Date: 2008/01/08 13:29:40 $</>
+<member>CVS control number $Id: userguide.sgml,v 1.110 2008/01/08 13:29:40 freddy77 Exp $.</>
   			</simplelist>
 			</footnote>
 can be found on the <productname>FreeTDS</productname> 
@@ -202,7 +201,7 @@ project on SourceForge.  It is a fork of the
 		<sect2 id="Status">
 			<title>Status</title>
 			<para>
-The <systemitem class="library">db-lib</systemitem> and <systemitem class="library">ct-lib</systemitem> <acronym>API</>s have been usable for several years.  They have been successfully  substituted for Sybase's own libraries in a variety of venues, including <productname>Perl</productname> and <productname>PHP</productname>.  That is not to say that these drivers are complete; they're not.  But they faithfully implement a useful &mdash; and widely used &mdash; subset of their <acronym>API</>s.  
+The <systemitem class="library">db-lib</systemitem> and <systemitem class="library">ct-lib</systemitem> <acronym>API</>s have been usable for several years.  They have been successfully  substituted for Sybase's own libraries in a variety of venues, including <productname>Perl</productname> and <productname>PHP</productname>.  That is not to say that these drivers are complete; they're not.  But they faithfully implement an important subset of their <acronym>API</>s, enough to be useful.  This 0.64 version boasts support for server-side cursors in <systemitem class="library">ct-lib</systemitem>.  
 			</para>
 			<para>
 In addition to the core <systemitem class="library">db-lib</systemitem> <acronym>API</>, <productname>FreeTDS</productname>  includes a full implementation of <systemitem class="library">db-lib</systemitem>'s <acronym>bcp</> functions, as well as <command>freebcp</>, a replacement for Sybase's <application>bcp</application> utility.  
@@ -568,7 +567,7 @@ url="http://www.madgoat.com">www.madgoat.com</ulink>).</para>
 		</sect3>
 		</sect2>
 		<sect2 id="osx"><title>OS X&reg;</title>
-  			<para>As of this writing ($Date: 2008/01/10 20:58:43 $), the regular distribution compiles on OS X.  Releases prior to 0.63 either did not compile or required patching.  </para>
+  			<para>As of this writing ($Date: 2008/01/08 13:29:40 $), the regular distribution compiles on OS X.  Releases prior to 0.63 either did not compile or required patching.  </para>
 
 		<sect3 id="OSX.Build.Update">
 			<title>Alternative build procedure</title>
@@ -942,7 +941,8 @@ As of 0.62 FreeTDS uses iconv to convert all character data, so there's no need
 	<entry>instance</entry>
 	<entry>instance name</entry>
 	<entry>none</entry>
-	<entry><para>Name of Microsoft SQL Server <emphasis>instance</> to connect to. The port will be detected automatically.</para></entry>
+	<entry><para>Name of Microsoft SQL Server <emphasis>instance</> to connect to. The port will be detected automatically.
+		<note><para>This requires an extra round-trip with server and may thus slightly delay making the connection.</para></note></para></entry>
 	</row>
 	<row>
 	<entry>debug flags</entry>
@@ -1512,7 +1512,7 @@ The following table defines all possible ODBC connection attributes for the <pro
 	<entry><literal>Server</></entry>
 	<entry>A server name or (ip) address</entry>
 	<entry>none</entry>
-	<entry>Hostname of a server. Used in an ODBC-only configuration. To specify a Microsoft SQL Server instance, use the form <literal>server\instance</literal>.  </entry>
+	<entry>Hostname of a server. Used in an ODBC-only configuration. As of version 0.64 you can specify a Microsoft SQL Server instance in the form of <literal>server\instance</literal>.  </entry>
 	</row>
 	<row>
 	<entry><literal>Port</></entry>

